%global pypi_name subprocess-tee
%global module_name subprocess_tee
%global commitId c1b451090d0770740b5f29897771a95f7e2d8484

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.3.5
Release:       1%{?dist}
Summary:       subprocess-tee

License:       MIT
URL:           https://github.com/pycontribs/subprocess-tee
Source0:       python-subprocess-tee-c1b451090d0770740b5f29897771a95f7e2d8484.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 42
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.5.0
BuildRequires: python%{python3_pkgversion}-setuptools_scm_git_archive >= 1.1
BuildRequires: python%{python3_pkgversion}-wheel >= 0.33.6

%description
This package provides a drop-in alternative to subprocess.run that captures the
output while still printing it in real-time, just the way tee does.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       subprocess-tee

%description -n python%{python3_pkgversion}-%{pypi_name}
This package provides a drop-in alternative to subprocess.run that captures the
output while still printing it in real-time, just the way tee does.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc README.md

%changelog
* Mon Feb 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.3.5-1
- Initial package
